de.esprit.appsuite.launch

## Class AbstractApplicationObject<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable
  Direct Known Subclasses:
    AbstractAsyncExecutable, AbstractClientObject, AbstractDBTool, AbstractInitializableObject, AbstractJavaVersionScanner, AbstractServerObject, AbstractTaskMonitor, AppCacheUpdater, AppStarterTrayGUI, EmailSender, EspritAppStarter, EspritDBCreate, PathTreeModelDriver, PathWatcher, SoftwareVersionDetector, TaskManager, TaskMonitorController, TaskRegistry

      public abstract class AbstractApplicationObject<C extends ApplicationContext>
      extends DumpableObject
      implements ApplicationObject<C>, SimpleLogSupport

  This is the base class for classes that manage an `ApplicationContext`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractApplicationObject(C ctx)`
    `AbstractApplicationObject(C ctx, LogChannel logCh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getApplicationContext()`
    `LogChannel` | `getLogChannel()`
    `boolean` | `isLogDebug()`
    `boolean` | `isLogVerbose()`
    `void` | `logDebug(java.lang.String message)`
    `void` | `logDump(java.lang.String message)`
    `void` | `logError(java.lang.String message)`
    `void` | `logError(java.lang.String message, java.lang.Exception e)`
    `void` | `logFatal(java.lang.String message, java.lang.Exception e)`
    `void` | `logInfo(java.lang.String message)`
    `void` | `logVerbose(java.lang.String message)`
    `void` | `logWarning(java.lang.String message)`
    `void` | `setLogChannel(LogChannel logCh)`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractApplicationObject

          public AbstractApplicationObject(C ctx)

    - #### AbstractApplicationObject

          public AbstractApplicationObject(C ctx,
                                   LogChannel logCh)

  - ### Method Detail

    - #### getApplicationContext

          public C getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `ApplicationObject<C extends ApplicationContext>`

    - #### isLogDebug

          public boolean isLogDebug()

      Specified by:
        `isLogDebug` in interface `SimpleLogSupport`

    - #### isLogVerbose

          public final boolean isLogVerbose()

      Specified by:
        `isLogVerbose` in interface `SimpleLogSupport`

    - #### setLogChannel

          public void setLogChannel(LogChannel logCh)

      Specified by:
        `setLogChannel` in interface `SimpleLogSupport`

    - #### getLogChannel

          public LogChannel getLogChannel()

      Specified by:
        `getLogChannel` in interface `SimpleLogSupport`

    - #### logFatal

          public void logFatal(java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logFatal` in interface `SimpleLogSupport`

    - #### logError

          public void logError(java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logError` in interface `SimpleLogSupport`

    - #### logError

          public void logError(java.lang.String message)

      Specified by:
        `logError` in interface `SimpleLogSupport`

    - #### logWarning

          public void logWarning(java.lang.String message)

      Specified by:
        `logWarning` in interface `SimpleLogSupport`

    - #### logInfo

          public void logInfo(java.lang.String message)

      Specified by:
        `logInfo` in interface `SimpleLogSupport`

    - #### logVerbose

          public void logVerbose(java.lang.String message)

      Specified by:
        `logVerbose` in interface `SimpleLogSupport`

    - #### logDebug

          public void logDebug(java.lang.String message)

      Specified by:
        `logDebug` in interface `SimpleLogSupport`

    - #### logDump

          public void logDump(java.lang.String message)

      Specified by:
        `logDump` in interface `SimpleLogSupport`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.